apiVersion: v1
kind: Template
labels:
  app: radosgw
  template: radosgw-ephemeral
metadata:
  annotations:
    description: Ceph RadosGW - ephemeral
    iconClass: icon-openshift
    openshift.io/display-name: Ceph RadosGW
    tags: radosgw
  name: radosgw-ephemeral
objects:
- kind: DeploymentConfig
  apiVersion: v1
  metadata:
    name: radosgw-${FRONTNAME}
  spec:
    replicas: 1
    selector:
      name: radosgw-${FRONTNAME}
    strategy:
      type: Rolling
    template:
      metadata:
        labels:
          name: radosgw-${FRONTNAME}
      spec:
        dnsPolicy: ClusterFirst
        containers:
        - env:
          - name: CEPH_DAEMON
            value: rgw
          - name: CLUSTER
            value: ${CEPH_CLUSTER_NAME}
          - name: KEYRING_NAME
            value: ${RADOSGW_KEYRING_NAME}
          - name: RGW_NAME
            value: radosgw
          - name: RGW_CIVETWEB_PORT
            value: "8080"
          image: ' '
          imagePullPolicy: IfNotPresent
          livenessProbe:
            initialDelaySeconds: 30
            timeoutSeconds: 1
            tcpSocket:
              port: 8080
          name: radosgw
          ports:
          - containerPort: 8080
            protocol: TCP
          resources:
            limits:
              cpu: "${RADOSGW_CPU_LIMIT}"
              memory: "${RADOSGW_MEMORY_LIMIT}"
            requests:
              cpu: "${RADOSGW_CPU_LIMIT}"
              memory: "${RADOSGW_MEMORY_LIMIT}"
          volumeMounts:
          - name: conf
            mountPath: /var/lib/radosgw/radosgw/${CEPH_CLUSTER_NAME}-rgw.radosgw/keyring
            subPath: ${CEPH_CLUSTER_NAME}.client.radosgw.gateway.keyring
          - name: conf
            mountPath: /etc/radosgw
        volumes:
        - name: conf
          secret:
            defaultMode: 420
            secretName: radosgw-${FRONTNAME}
    triggers:
    - type: ImageChange
      imageChangeParams:
        automatic: true
        containerNames:
        - radosgw
        from:
          kind: ImageStreamTag
          name: radosgw:${RADOSGW_IMAGE_TAG}
    - type: ConfigChange
- kind: Service
  apiVersion: v1
  metadata:
    name: radosgw-${FRONTNAME}
  spec:
    ports:
    - name: http
      port: 8080
    selector:
      name: radosgw-${FRONTNAME}
    type: ClusterIP
parameters:
- name: CEPH_CLUSTER_NAME
  description: Ceph Cluster Name
  displayName: Ceph Cluster Name
  value: radosgw
- name: FRONTNAME
  description: The name identifier assigned to objects defined in this template
  displayName: Name
  required: true
  value: demo
- name: RADOSGW_CPU_LIMIT
  description: Maximum amount of CPU an RadosGW container can use
  displayName: RadosGW CPU Limit
  required: true
  value: 200m
- name: RADOSGW_IMAGE_TAG
  description: The ImageStreamTag we should pull images from
  displayName: Tag
  required: true
  value: master
- name: RADOSGW_KEYRING_NAME
  description: RadosGW Keyring Name
  displayName: RadosGW Keyring Name
  required: true
  value: radosgw.gateway
- name: RADOSGW_MEMORY_LIMIT
  description: Maximum amount of memory an RadosGW container can use
  displayName: RadosGW Memory Limit
  required: true
  value: 512Mi
